name: QR Code
preview: fields # required
wysiwyg: true # recommended
fields:
  customurl:
    type: text
    label: Custom URL

  qrcode:
    type: qrcode
    title: "{{ block.callMethod(customurl) }}"
    url: "{{ block.callMethod(customurl) }}"

  qrlabel:
    type: text
    label: 
      de: Beschriftung
      en: Label


